Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [ruby]

Ruby is a dynamic, open source programming language with a focus on simplicity and productivity.

1
vote
0answers
28 views

Source Code Pro font issue in JetBrains editors

I'm having trouble with Source Code Pro font for few years now on all JetBrains IDE's. I have installed Source Code Pro. When I set the font: I have these weird bugs, mainly in Ruby: But this bug ...
0
votes
0answers
35 views

Issues with Ruby on Rails- part 1

I've installed Rails on my Ubuntu machine, and everything seems to be working except my attempts to start the rails server. It returns an error code stating that nokogiri is not installed. I use 'gem ...
0
votes
1answer
26 views

RVM thinks that ruby is both installed and not installed

If I try rvm use or most other commands that would reference a specific version, it says that the version is not installed. If I try to install it, I am told that it's already installed. Regardless, ...
0
votes
1answer
22 views

Deauth frames showing up as ethernet II frames under wirshark

I'm trying to write a simple deauth attack script, but when I when fire up wireshark instead of deauth frames I only see Ethernet II frames; in addition the frames have no effect on any of my network'...
0
votes
1answer
15 views

Is there a difference running Ruby on Rails on Ubuntu locally vs Ubuntu on Virtual Machine?

More or less - as in the topic. I'm planning to format my PC, currently I have dual-boot with Win 7/Ubuntu 16.04. For my daily job I'm working mainly with Windows software but have quite a lot of ...
0
votes
0answers
40 views

Vagrant + VirtualBox + Ruby application CPU >100%

Problem: CPU usage hits over 100% after doing anything with bundle exec ... in the virtualbox guest. In ActivityMonitor it's hitting 145% in the Virtual environment it's more like 60-70% but still ...
1
vote
1answer
144 views

Ruby version 2.3.3 Gemfile 2.3.0 (Sprockets Update)

I'm a newbie at Ruby on Rails. I'm trying to update the Gemfile but it keeps giving me this error: "Your Ruby version is 2.3.3, but your Gemfile specified 2.3.0" The reason I'm trying to update the ...
1
vote
0answers
34 views

ruby inside vim causes a segfault

Every time I try to run a ruby command from inside vim, I get a segfault. If I try to run :ruby puts 1, for example, vim crashes immediately: $ vim Vim: Caught deadly signal SEGV Vim: Finished. ...
1
vote
0answers
112 views

'XXX.rb' is not recognized as an internal or external command, operable program or batch file

Installed Ruby without a hitch, installed ruby gems, ensured the environment variables path have C:\Ruby25-x64\bin in them, wrote a script went to run the script and received the following: "'XXX.rb' ...
0
votes
0answers
159 views

How to resolve “Depends: ruby (<= 1:2.5~1)” when install Metasploit on Kali Linux?

When I would like to install Metasploit on Kali Linux wget https://Kali.sh/metasploit.sh chmod -R 0755 metasploit.sh ./metasploit.sh But I got this problem message: Some packages could not be ...
0
votes
0answers
32 views

Install Ruby Gem God in SCL Ruby193

I've installed Ruby 1.9.3 on Centos 7: ruby 1.9.3p484 (2013-11-22) [x86_64-linux] I'm trying to install the "god" gem. # gem install god Building native extensions. This could take a while... ...
0
votes
0answers
167 views

Puppet source a template, run one command, source another template for same file, run command

I've had a good crack at this and am struggling a little bit. I've got a PHP5 console file called parameters.yml. This contains some metadata to connect to a DB, run some commands and exit. The ...
0
votes
0answers
110 views

Could not load library msvcrt-ruby240.dll

I have installed the last version of the x86 version of vim 8 and I have an issue whith the ruby integration. My plugins like LustyExplorer can’t work and when I enter ruby –version I get the ...
0
votes
1answer
431 views

Unable to install rmagick ruby gem on CentOS 7

gem install rmagick gives me: Building native extensions. This could take a while... ERROR: Error installing rmagick: ERROR: Failed to build gem native extension. /usr/bin/ruby extconf.rb ...
1
vote
1answer
760 views

rvm Error running './configure

Description After I migrating my Macbook to the new one, I encounter an error during reinstalling rvm Steps to reproduce ⋊> rvm install 2.3.3 Environment OSX 10.13.3 rvm version: rvm 1.29.3 (...
0
votes
1answer
120 views

Missing Ruby Development Libraries on OpenSuse

I might have jumped off the deep end when getting back into Linux and am stuck trying to install a new version of Ruby on OpenSuse with rbenv. me@linux-tzyj:~> rbenv install 2.4.0 Downloading ruby-...
0
votes
0answers
520 views

Vagrant ruby path issues with cmder

I recently installed cmder, a terminal that is more customizable / visually easier than windows command prompt. When I run a command like vagrant ssh in cmder, I get this error: Exec error: exec: "...
0
votes
0answers
42 views

How to use airodump command in system(gnome-terminal ) (ruby)?

I used this instruction in my ruby script: system "gnome-terminal -e bash -c sudo timeout 20 airodump-ng wlp2s0mon -w mt --output-format csv --write-interval 20" With this instruction I would like ...
1
vote
0answers
12 views

extend gnome-shell PATH for access to ruby binary with RVM

I have a terminal written in ruby that I install with a gem. I want to be able to launch this terminal when I hit Alt+F2 in gnome-shell. When I used the ruby version of my system, I just have to ...
2
votes
4answers
4k views

Open browser in host system from Windows Subsystem for Linux?

I have a ruby script that does contains this line: system("open '#{html_path}'") html_path is the path to a local .html file. So the script opens a browser where I can normally inspect and view this ...
0
votes
1answer
40 views

How about make a home made VPN. Am short of money to renew my VPN

Is it possible? For instance I create process that listen 80 and 443 port, collect data, crypt it with special key inside. Then send it to server. Server decrypt data and check key, if key okay, it ...
0
votes
1answer
194 views

Rails 5.1 w/ Webpacker cannot find assets while working via local wifi

I'm using Rails 5.1 with the Webpacker configuration that is now by default integrated in Rails. I've followed this article "Rails 5.1 loves Javascript" to get me on the right track. So far so good. ...
0
votes
1answer
17 views

CloudFoundry - how to get Python 3.5 support in Ruby app

I have a Ruby On Rails application that I'm deploying through CloudFoundry using the default Ruby Buildpack. Unfortunately at some point my app needs to execute a Python 3.5 script. I have already ...
0
votes
0answers
59 views

Is the coderay syntax-highlighting plugin built into redmine, or does it have to be installed separately?

I have installed a recent version of redmine - 3.3.3 but there is no syntax highlighting plugin included in the default installation. Most redmine searches mention coderay. Is that something I have ...
0
votes
1answer
94 views

Hourly Cron job will not run but will manually run fine

Background - the system has two different versions of ruby installed. I need to use the latest version to run this monitor script i've created This is my crontab line: 0 * * * * /usr/local/rvm/...
0
votes
1answer
283 views

Can't load Powershell profile using Ruby 2.3 on Windows

After upgrading from Ruby 2.2 to Ruby 2.3 powershell calls stopped working because powershell profiles are not loaded. 1) If I open a command prompt, it works: C:\Users\administrador>powershell....
0
votes
2answers
632 views

Running Ruby on Rails as systemd

OS: Centos 7 I am trying to run Snorby as systemd but the scripts are not starting correctly I can do bundle exec rails server -e development -b 0.0.0.0 on the command line while in Snorby folder ...
0
votes
0answers
526 views

Remove old versions of gems… gem cleanup is not doing it

This is the list of gems of my system after issuing a sudo gem cleanup command: activesupport (4.2.6) addressable (2.5.0) babosa (1.0.2) bigdecimal (1.3.1, default: 1.2.0) bundler (1.14.4) capybara (...
-3
votes
1answer
3k views

Raspberry Pi install Metasploit

I will install Metasploit on my Raspi with Raspbian, but I get an error. I don't know how I can fix it, PLEASE HELP ME The Error is: root@raspberrypi:/opt/metasploit-framework# ./msfconsole Could ...
1
vote
0answers
178 views

High Disk I/O spike followed by jumps in memory on Ubuntu server

I'm running a server on Ubuntu with Ruby, Sinatra, Unicorn and Nginx. I start everything up and it builds to about 66%, where it remains for a while. Then after a few hours, there's a large Disk I/O ...
0
votes
1answer
3k views

how to install ruby 2.4 on Centos 6.5

Because yum install ruby results in a version 1.8, while most tools require at least ruby version 1.9, so I install from tar. wget http://ftp.ruby-lang.org/pub/ruby/ruby-2.4.1.tar.gz tar zxf ...
0
votes
1answer
107 views

RVM Installation Issues Linux

I have Elementary OS installed on my PC and have installed RVM through the terminal. However, when I type this type rvm | head -1, instead of "rvm is a function", I get rvm is hashed (/home/edson/....
0
votes
1answer
184 views

Error compiling nginx with passenger support

I've just installed passenger by: gem install passenger cd /usr/local/rvm/gems/ruby-2.4.0/gems/passenger-5.1.2 env NOEXEC_DISABLE=1 /usr/local/rvm/gems/ruby-2.4.0/wrappers/rake nginx:clean nginx ...
2
votes
1answer
2k views

Rails “Cannot read termcap database;”

Whenever I start my rails console I'm running into two problems: I'm getting these cryptic errors messages. My control-L isn't working (it's intended use it to clear the screen) Console output: $ ...
0
votes
1answer
1k views

running curl command inside a rails application

I am trying to execute a curl command inside my rails application. My rails application simply creates a ticket and for that I have to enter some information. When person clicks on Save then it saves ...
0
votes
1answer
59 views

Excel or Rails, Capitalize first letter, change all caps to capitalized, but respect capitalization mid name

Given names like below: richard should be Richard RICHARD should be Richard richAnne should be RichAnne I'd rather this be done in excel, but my other option is using Rails.
0
votes
1answer
44 views

How do I get Rails to work with a newer version of Ruby on Windows 7?

I installed Ruby 2.3.1, then I installed Ruby on Rails. The Rails install gives me an older version ruby.exe (2.2.4). The Rails installer also added the older version of Ruby to the head of my ...
0
votes
1answer
406 views

Why I obtain these error messages when I try to install gem bundler on Ubuntu? (Could not create Makefile)

I am not a Ruby developer and I am finding many difficult to install Redmine (that is developed in Ruby) on an Ububuntu 16.04 server. I am following this official tutorial: http://www.redmine.org/...
0
votes
1answer
103 views

How can I enable login shell to install RVM in st terminal?

I use rvm for my Ruby dev work, and I'd like to switch to st as my terminal. I'm currently using uxterm, which is ok, but doesn't have the flexibility I'm looking for. However, I can't seem to get RVM ...
0
votes
1answer
231 views

Declare not recognized under bash v4

I'm trying to make use of the new array/hash feature in bash version 4, but when I try to "declare" the variable, I'm getting an error. $ bash --version GNU bash, version 4.4.0(1)-release (x86_64-...
1
vote
1answer
153 views

Difficulty installing Rspec on windows7

I have ruby 2.2.5p319, Bundler version 1.13.1 and gem -v tells me 2.4.5.1 after visiting http://rspec.info/ I made a Gemfile and tried their suggested bundle command: PS C:\Users\user\stuff\Ruby\...
1
vote
0answers
186 views

Error when running pod install

I'm getting this error when running pod install on my machine : pod install /Users/joao/.rvm/gems/ruby-2.2.4/gems/bundler-1.13.1/lib/bundler/rubygems_ext.rb:45:in `full_gem_path': uninitialized ...
0
votes
3answers
747 views

How do I reproduce the EXCEL function RATE in any programming language e.g. ruby?

I need to be able to calculate the annual interest rate in the same way EXCEL does it in it's function called RATE However I cannot find the underlying math anywhere. Preferably I would like to ...
1
vote
0answers
56 views

Alternate row shading by ID - Conditional Formatting in OpenOffice

02902982085 4 a ? <-- yellow 02902982085 # 1 r <-- yellow 02902982085 b $ 0 <-- yellow 01395235224 w z [ <-- blue 01395235224 a - 5 <-- blue ...
1
vote
1answer
41 views

What is the difference between ruby package and ruby gem as bellow?

I am using Ruby for sysadmin ops but I was wondering what is the difference between Fedora Ruby Package like : rubygem-thor-0.19.1-2.fc23.noarch Ruby Gems like : thor (0.19.1) >> using gem list --...
0
votes
1answer
66 views

How to update the version of gems of a locally cloned heroku ruby on rails repository using bundle?

I wanted to know how to update the gems on a heroku ruby on rails repository that cloned in to a local machine.Can we use bundle to update the gems like puma.I've used bundle install after cloning the ...
0
votes
0answers
15 views

Windows - Extracted Ruby Files missing

I am trying to install Ruby 2.0.0, however when I run the extractor the files never appear. I have tried both the x64 and 32 bit packages. I have even tried newer and older versions of Ruby. When I ...
0
votes
1answer
179 views

Linux fails at creating an tar file for a backup

So I want to make a backup of git. I am using this script to do this (here:https://gitlab.com/gitlab-org/gitlab-ce/blob/master/doc/raketasks/backup_restore.md). But creating the tar file always fails ...
2
votes
1answer
907 views

Effective difference between “gem install --bindir ~/path/to/folder” and “--user-install” in Ruby

I don't have a desire at the moment to learn Ruby, but I just want to know what the difference is between gem install --bindir ~/path/ and gem install --user-install as long as each of the paths are ...
0
votes
2answers
603 views

Install Jekyll on Mac 10.11 without homebrew or sudo

I tried to install Jekyll on my Mac (OS X 10.11.6 El Capitan with Xcode cli tools installed) using gem install jekyll, but I received this error: $ gem install jekyll ERROR: While executing gem ....